#!/bin/sh
# Run cluster management tests on installed qpid.
#
# Required RPMS:
#
# qpid-cpp-server-cluster
# qpid-cpp-server
# python-qpid
# qpid-tools
# qpid-cpp-client
# qpid-cpp-client-devel
# qmf
# qmf-devel
#
set -e
make				# Build testagent

# Test against RPM installed qpidd
export QPIDD_EXEC=/usr/sbin/qpidd
export QPID_CLUSTER_EXEC=/usr/bin/qpid-cluster
export CLUSTER_LIB=/usr/lib64/qpid/daemon/cluster.so
export STORE_LIB=/usr/lib64/qpid/daemon/msgstore.so
export ACL_LIB=/usr/lib64/qpid/daemon/acl.so

# Test against development qpidd
# export QPIDD_EXEC=$HOME/install/sbin/qpidd
# export QPID_CLUSTER_EXEC=/usr/bin/qpid-cluster
# export CLUSTER_LIB=$HOME/install/lib/qpid/daemon/cluster.so
# export STORE_LIB=$HOME/install/lib/qpid/daemon/msgstore.so
# export ACL_LIB=$HOME/install/lib/qpid/daemon/acl.so

OUT=brokertest.tmp
rm -rf $OUT
date
exec ./qpid-python-test -DOUTDIR=$OUT -m cluster_tests -DDURATION=4  *Long*.test_management* 

